package com.gyf.csams

import android.app.Application
import com.orhanobut.logger.AndroidLogAdapter
import com.orhanobut.logger.DiskLogAdapter
import com.orhanobut.logger.Logger

class MainApplication : Application() {
    override fun onCreate() {
        super.onCreate()
        //初始化日志
        Logger.addLogAdapter(AndroidLogAdapter())
        Logger.addLogAdapter(DiskLogAdapter())

        Logger.i("${BuildConfig.background_app_name}启动")
    }
}