package com.gyf.csams

import android.app.Activity
import com.google.gson.reflect.TypeToken
import com.gyf.csams.account.ui.AccountActivity
import com.gyf.csams.main.ui.MainActivity
import com.gyf.csams.module.ApiResponse
import com.gyf.csams.module.UserVo
import com.gyf.lib.uikit.AbstractInitActivity
import com.gyf.lib.util.AccountApi
import java.lang.reflect.Type

class InitActivity : AbstractInitActivity<UserVo>() {
    override val main: Class<out Activity> = MainActivity::class.java
    override val login: Class<out Activity> = AccountActivity::class.java

    override val api: AccountApi = AccountApi.ForegroundToken

    override val typeToken: Type = object : TypeToken<ApiResponse<UserVo>>() {}.type
}