package com.gyf.lib.model

import android.app.Application
import com.gyf.lib.R
import com.gyf.lib.uikit.StringForm

abstract class ApplyViewModel<T>(application: Application) : ScrollViewModel<T>(application) {
    val approveOrigin =
        StringForm(
            formDesc = application.getString(R.string.first_approver_origin),
            textLength = 30
        )
}