package com.gyf.lib.model

import android.app.Application
import androidx.lifecycle.AndroidViewModel
import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData

abstract class ScrollViewModel<T>(application: Application) : AndroidViewModel(application) {
    protected val _data = MutableLiveData<MutableList<T>>(mutableListOf())
    val data: LiveData<MutableList<T>> = _data

    open val initSize: Int = 10
}