package com.gyf.csams.main.model

import android.app.Activity
import com.gyf.csams.main.ui.*

enum class MenuType(val desc: String, val clazz: Map<String, Class<out Activity>>) {
    Association(
        "社团管理",
        mapOf(
            "社团信息管理" to AssociationManagementActivity::class.java,
            "审核社团换名" to AuditRenameActivity::class.java,
            "审核社团注册" to AuditAssociationActivity::class.java
        ),
    ),
    Act(
        "活动管理", mapOf(
            "审核社团活动" to AuditActActivity::class.java,
            "审核活动报告" to CheckQualityReportActivity::class.java,
            "查看社团活动" to ManagerActActivity::class.java
        )
    )
}